GET /api/v202406/esachannel/{esaChannelId}/version/{versionId}

Retrieves a specific version of an ESA channel

GetEsaChannelVersionV202406 Permissions: Meters (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
esaChannelId Unique numeric identifier of the ESA channel integer (int32) Required
versionId Unique numeric identifier of the channel version integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

EsaChannelVersionResponse
Property Description Type
beginDate Date and time that this channel version is valid from. The valid period is exclusive of the beginDate. string (date-time)
channelVersionId The channel version identifier integer (int32)
endDate Date and time that this channel version is valid until. The valid period is inclusive of the endDate. string (date-time)
formula The formula that should be used in calculated channels. string
isValuePositive Indicates if the channel final value is always positive boolean
maximumReading The channel’s maximum reading number (double)
minimumReading The channel’s minimum reading number (double)
multiplier The channel multiplier number (double)
observationRule ObservationRule
ObservationRule properties
Property Description Type
observationRuleCode The observation rule code string
observationRuleId The observation rule identifier integer (int32)
observationRuleInfo The observation rule info string
offset The channel offset number (double)
resolvedFormula Formula, but with the input Channels and Meters referenced by ChannelInfo (name) instead of by ID. string
rollbackAllowance The channel’s roll back allowance number (double)
rolloverValue The channel’s rollover value number (double)
udfs List of user defined/custom fields and values for this channel version UDFFieldChild[]
UDFFieldChild properties
Property Description Type
dataType DataTypeResponse
DataTypeResponse properties
Property Description Type
dataTypeCode The data type code/short name Required (defined) string
dataTypeId The unique identifier for the data type (e.g., 1=boolean, 2=integer, 3=string, 4=double, 6=date, 12=select list, 13=URL) Required (defined) integer (int32)
dataTypeInfo The data type display name/description Required (defined) string
description A description of what this UDF field is used for Required (defined) string
displayOrder The sort order for displaying this field relative to other UDF fields Required (defined) integer (int32)
important When true, this UDF field is flagged as important and may be highlighted in the UI Required (defined) boolean
name The display name of the UDF field Required (defined) string
udfId The unique identifier for this UDF field definition Required (defined) integer (int32)
udfSelectValues For select-list type UDFs, the available options that can be chosen as values Required (defined) UDFSelectValueEntityResponse[]
UDFSelectValueEntityResponse properties
Property Description Type
displayOrder The sort order for displaying this option in the select list Required (defined) integer (int32)
udfSelectValueId The unique identifier of this select option. Use this value (not the display Value) when setting a select-list UDF. Required (defined) integer (int32)
value The display text for this select option Required (defined) string
value The current value of this UDF field for the entity. Null if no value has been set. Format depends on DataType. Required (defined) string
unit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
Example Response application/json
{  "beginDate": "2026-11-14",  "channelVersionId": 1,  "endDate": "2026-11-14",  "formula": "string",  "isValuePositive": false,  "maximumReading": 1.0,  "minimumReading": 1.0,  "multiplier": 1.0,  "observationRule": {    "observationRuleCode": "string",    "observationRuleId": 1,    "observationRuleInfo": "string"
  },  "offset": 1.0,  "resolvedFormula": "string",  "rollbackAllowance": 1.0,  "rolloverValue": 1.0,  "udfs": [
    {    "dataType": {      "dataTypeCode": "string",      "dataTypeId": 1,      "dataTypeInfo": "string"
    },    "description": "string",    "displayOrder": 1,    "important": false,    "name": "string",    "udfId": 1,    "udfSelectValues": [
      {      "displayOrder": 1,      "udfSelectValueId": 1,      "value": "string"
    }
    ],    "value": "string"
  }
  ],  "unit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  }
}
404 Not Found The requested resource was not found. Verify the ID or path is correct.